%define port          GTK
%define tarname       wxPython-src

%define api           3.0
%define libname       %mklibname %{name} %{api}
%define devname       %mklibname %{name} %{api} -d

%define wxgtku_ver    3.0.4

%define gtkver        3
%define py_setup_args WX_CONFIG=%{_bindir}/wx-config-3.0 WXPORT=gtk%{gtkver}

Summary:        Cross platform GUI toolkit for Python using wx%{port}
Name:           wxpython
Version:        3.0.2.0
Release:        %mkrel 6
License:        LGPLv2+ and wxWidgets
Group:          Development/Python
URL:            http://wxPython.org/
Source0:        http://downloads.sourceforge.net/wxpython/%{tarname}-%{version}.tar.bz2
Patch0:         wxPython-3.0.0.0-literal.patch
Patch1:         wxPython-3.0.2.0-getxwindowcrash.patch
Patch2:         wxPython-3.0.2.0-plot.patch
BuildRequires:  wxgtk3.0-devel >= %{wxgtku_ver}
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(python2)
%if %{gtkver} == 3
BuildRequires:  pkgconfig(gtk+-3.0)
%endif
%if %{gtkver} == 2
BuildRequires:  pkgconfig(gtk+-2.0)
%endif

Obsoletes:	wxPython
Provides:   wxPythonGTK = %{version}-%{release}
Provides:	wxPython = %{version}-%{release}
Requires:   %{name}-wxversion = %{version}-%{release}

%description
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWindows C++ GUI library.  wxPython provides a large variety of
window types and controls, all implemented with a native look and feel
(and native runtime speed) on the platforms it is supported on.

This package is implemented using the %{port} port of wxWindows.

%package        wxversion
Summary:        Select a specific version of %{name}
Group:          Development/Python
Obsoletes:      wxPython-wxversion
Provides:       wxPython-wxversion = %{version}-%{release}
Obsoletes:		wxPythonGTK-wxversion
Provides:		wxPythonGTK-wxversion = %version-%release

%description    wxversion
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWindows C++ GUI library.  wxPython provides a large variety of
window types and controls, all implemented with a native look and feel
(and native runtime speed) on the platforms it is supported on.

This package contains the wxversion python module needed if several versions of
wxPython are installed.

%package        tools
Summary:        Example applications from %{name}
Group:          Development/Python
Obsoletes:      wxPython-tools
Provides:       wxPython-tools = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       editra

%description    tools
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWindows C++ GUI library.  wxPython provides a large variety of
window types and controls, all implemented with a native look and feel
(and native runtime speed) on the platforms it is supported on.

This contains the example applications that come with wxPython like
PyShell and XRCed.

%package -n     %{devname}
Summary:        Development files of %{name}
Group:          Development/Python
Obsoletes:      lib64wxPython3.0-devel
Provides:       lib64wxPython3.0-devel = %{version}-%{release}
Provides:       libwxPython-devel = %{version}-%{release}
Obsoletes:		wxPythonGTK-devel
Provides:		wxPythonGTK-devel = %version-%release
Provides:       libwxPythonGTK-devel = %{version}-%{release}
Provides:       wxpython-devel = %{version}-%{release}
Provides:       wxpythongtk-devel = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       wxgtk3.0-devel >= %{wxgtku_ver}

%description -n %{devname}
This packages contains the headers and etc. for building apps or
Python extension modules that use the same wx%{port} shared libraries
that wxPython uses.

%package        docs
Group:          Documentation
Summary:        Documentation and samples for %{name}
Obsoletes:      wxPython-docs
Provides:       wxPython-docs = %{version}-%{release}
Requires:       %{name} >= %{version}-%{release}
BuildArch:      noarch

%description    docs
Documentation, samples and demo application for wxPython.

%prep
%setup -q -n %{tarname}-%{version}/wxPython
%apply_patches

# fix libdir otherwise additional wx libs cannot be found
sed -i -e 's|/usr/lib|%{_libdir}|' -e 's|-O3|-O2|' config.py


%build
rm -rf distutils
python2 setup.py WXPORT=gtk3 UNICODE=1 build

%install
python2 setup.py WXPORT=gtk3 UNICODE=1 install --root="%buildroot"

# install menu items
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pyshell.desktop << EOF
[Desktop Entry]
Name=PyShell
Comment=GUI Python Shell
Exec=%{_bindir}/pyshell %U
Icon=PyCrust
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Development;
EOF

cat > %{buildroot}%{_datadir}/applications/pycrust.desktop << EOF
[Desktop Entry]
Name=PyCrust
Comment=GUI Python Shell with Filling
Exec=%{_bindir}/pycrust %U
Icon=PyCrust
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Development;
EOF

cat > %{buildroot}%{_datadir}/applications/pyalamode.desktop << EOF
[Desktop Entry]
Name=PyAlaMode
Comment=GUI Python Shell with Filling and Editor Windows
Exec=%{_bindir}/pyalamode %U
Icon=PyCrust
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Development;
EOF

cat > %{buildroot}%{_datadir}/applications/xrced.desktop << EOF
[Desktop Entry]
Name=XRCed
Comment=XRC resource editor for wxPython
Exec=%{_bindir}/xrced %U
Icon=XRCed
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Development;
EOF

#icons
#cd wxPython
mkdir -p %{buildroot}%{_miconsdir}
install -m 644 wx/py/PyCrust_16.png %{buildroot}%{_miconsdir}/PyCrust.png
install -m 644 wx/py/PyCrust_32.png %{buildroot}%{_iconsdir}/PyCrust.png
install -m 644 wx/tools/XRCed/XRCed_16.png %{buildroot}%{_miconsdir}/XRCed.png
install -m 644 wx/tools/XRCed/XRCed_32.png %{buildroot}%{_iconsdir}/XRCed.png

#gw fix paths
%if "%{python2_sitelib}" != "%{python2_sitearch}"
mv %{buildroot}%{python2_sitelib}/* %{buildroot}%{python2_sitearch}
%endif

# don't ship these ones, firstly we have python >= 2.7, and secondly they mess
# with the pythoneggs.py auto-requires generation
rm -fr %{buildroot}%{python2_sitearch}/wx-%{api}-gtk%{gtkver}/wx/tools/Editra/plugins/{*py2.5.egg,*py2.6.egg}

#broke
rm -f %{buildroot}/usr/bin/editra

%files
%{python2_sitearch}/wx.pth
%{python2_sitearch}/*.egg-info
%dir %{python2_sitearch}/wx-%{api}-gtk%{gtkver}
%{python2_sitearch}/wx-%{api}-gtk%{gtkver}/wx
%{python2_sitearch}/wx-%{api}-gtk%{gtkver}/*.egg-info

%files tools
%{_bindir}/*
%{_datadir}/applications/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png


%files wxversion
%{python2_sitearch}/wxversion*

%files -n %{devname}
%{_includedir}/wx-%{api}/wx/wxPython

%files docs
%doc docs/*.*
%doc docs/screenshots


%changelog
* Tue Oct 07 2019 tex - 3.0.2.0-6pclos2019
- remove broke editra
- add requires editra

* Tue Oct 07 2019 tex - 3.0.2.0-5pclos2019
- rebuild
